var urlParam = function (name) {
	var results = new RegExp('[\\?&]' + name + '=([^&#]*)')
		.exec(window.location.href);
	if (results !== null) {
		return decodeURIComponent(results[1]) || "";
	}
	return undefined;
};

var ProjectId = -1;
$.ajax({
    url: urlParam("endpoint")+'../../../tisapi/v1.0/sessions/resolveids?projectName='+urlParam("projectname")+"&dataNodeCaption="+urlParam("DN"),
    headers: {
        'Token': urlParam("token")
    },
    method: 'GET',
    //dataType: 'json',
    //data: YourData,
    success: function(data){
        console.log('success: '+data);
        ProjectId = data.ProjectId;
 
        loadResult({Id: data.DataNodeId});
    },
    error: function(data) {
        console.log('error: '+data);
    }
  });
 
 
var loadResult = function(datanode) {
    $.ajax({
      url: urlParam("endpoint")+'../../../tisapi/v1.0/datanodes/'+datanode.Id+'/result',
      headers: {
          'Token': urlParam("token")
      },
      method: 'POST',
      contentType: "application/json;charset=utf-8",
      data: JSON.stringify({
          "DataNodeId": datanode.Id,
          "IncludeMetaData": true,
          "MaxNoRecords": 5000,
          "RowStart": 0
      }),
      success: function(data){
          console.log('success: '+data);
           
          var schema = data.TableDescription;
          var columns = {};
          for(var i=0;i<schema.ColumnTypes.length;i++) {
              columns[schema.ColumnTypes[i].Caption] = i;
          }
           
          // concat whole data node result table to string
          var result = "";// [];
          var rows = data.Rows;
          for(var i=0;i<rows.length;i++) {
              result += rows[i].Content[0];
          }
          // parse string to json
          plotlydata = JSON.parse(result);

		  window.PLOTLYENV=window.PLOTLYENV || {};
                    
                if (document.getElementById("88f60284-c85d-499f-9113-4a52ffedc087")) {
                    Plotly.newPlot(
                        '88f60284-c85d-499f-9113-4a52ffedc087',
                        plotlydata['data'],
                        plotlydata['layout'],
                        plotlydata['misc']
                    )
                };
				
      },
      error: function(data) {
          console.log('error: '+data);
      }
});}
	
	